Name: cockpit-files
Version: 18.13.g113df32
Release: 1.20250323072450975314.pr1008.13.g113df32%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-18.13.g113df32.tar.xz
BuildArch: noarch
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

# Replace the older cockpit-navigator provided by 45Drives
Obsoletes: cockpit-navigator < 0.5.11

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.14
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.16
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Sun Mar 23 2025 Packit <hello@packit.dev> - 18.13.g113df32-1.20250323072450975314.pr1008.13.g113df32
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps-dev): bump mime-db from 1.53.0 to 1.54.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 6ec4bf295daa4ce7a4c1dfa42df23f61 (Cockpit Project)
- Makefile: Update Cockpit lib to 1609250d9b4238e75d96da41838fdf03 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- cockpit-ci: Update container to 2025-03-15 (Cockpit Project)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- test: fix the remaining boolean trap ignores (Jelle van der Waa)
- Provide `user` in the FilesContext (Jelle van der Waa)
- Revert "Create symlink support" (Jelle van der Waa)
- Create symlink support (Jelle van der Waa)
- Makefile: Update Cockpit lib to 6b9175d50226d2aa6d34445c0c04cd9d (Cockpit Project)
